Subject: Re: [bmwg] Heads up / comments on draft "Benchmarking Methodology for EVPN and PBB-EVPN"

From: Sudhin Jacob <[email-masked]>
Date: Mon, 6 Mar 2017 03:47:27 +0000

Hi Saurabh,

Apologies for the late reply. Based on your inputs we have modified the draft. Kindly see and let us know the comments.

https://www.ietf.org/id/draft-kishjac-bmwg-evpntest-05.txt

Regards,
Sudhin

From: Sudhin Jacob
Sent: Thursday, November 17, 2016 9:03 AM
To: Saurabh Chattopadhyay - ERS, HCL Tech <[email-masked]>
Subject: RE: Heads up / comments on draft "Benchmarking Methodology for EVPN and PBB-EVPN"

Hi Saurabh,

Let me thank you for the feedback. Much appreciate, this is a good point, I will come back to you next week. After that I humbly request you to post the queries in list so that it will be captured there.

Regards,
Sudhin

From: Saurabh Chattopadhyay - ERS, HCL Tech [mailto:[email-masked]]
Sent: Thursday, November 17, 2016 8:45 AM
To: Sudhin Jacob <[email-masked]<mailto:[email-masked]>>
Subject: Heads up / comments on draft "Benchmarking Methodology for EVPN and PBB-EVPN"

Hi Sudhin,

As requested by you and WG, I was starting off the review of the draft mentioned in the subject - but have some initial observations and thought it would be better to provide you a heads up on this and understand your point of view.

As we discussed in person on Tuesday at Conrad Seoul, it appears to me that measuring the time taken for MAC Learning can be very complex, given the level of timing error which can get introduced during the process of measurement itself.  Measuring the rate of learning or un-learning appears to be a more feasible benchmark-able data point, since sampling the result against delta time of 1 sec will help reducing the relative impact of the timing error. Hope you agree with it.

As next step, I started scanning through the other BMWG drafts, and realized that MAC Learning Rate and some other relevant L2/L3 measurable parameters are already captured in an RFC, 2889. Can you please take a look at these parameters, and also the test procedure, topology and setup configurations mentioned there?

Typically, while we submit a new draft that works somewhat on similar set of measurement parameters as defined in a previous draft, we make attempt to create the new draft as an incremental one. However, the new draft should extend and define the newer parts based on the need of the new type of fabric and underlying technologies. So, as much I understand, the test topology and configurations will vary significantly for your draft on EVPN & PBB-EVPN, and even some test procedures will also vary since your devices rely on both data plane as well as control plane learning.

But, before I suggest this approach of making your draft as extension of the relevant earlier RFCs in the WG, I thought let me understand your point of view first on this suggestion. Let me know.

Regards,
Saurabh

::DISCLAIMER::
----------------------------------------------------------------------------------------------------------------------------------------------------
The contents of this e-mail and any attachment(s) are confidential and intended for the named recipient(s) only.
E-mail transmission is not guaranteed to be secure or error-free as information could be intercepted, corrupted,
lost, destroyed, arrive late or incomplete, or may contain viruses in transmission. The e mail and its contents
(with or without referred errors) shall therefore not attach any liability on the originator or HCL or its affiliates.
Views or opinions, if any, presented in this email are solely those of the author and may not necessarily reflect the
views or opinions of HCL or its affiliates. Any form of reproduction, dissemination, copying, disclosure, modification,
distribution and / or publication of this message without the prior written consent of authorized representative of
HCL is strictly prohibited. If you have received this email in error please delete it and notify the sender immediately.
Before opening any email and/or attachments, please check them for viruses and other defects.
----------------------------------------------------------------------------------------------------------------------------------------------------